
package org.openjdk.sound;

import javax.sound.sampled.Mixer;
import javax.sound.sampled.Mixer.Info;


public class PulseMixerProvider extends javax.sound.sampled.spi.MixerProvider {
	

	@Override
	public Mixer getMixer(Info info) {
		if (info.equals(PulseMixerInfo.getInfo())) {
			return PulseMixer.getInstance();
		} else {
			throw new IllegalArgumentException("Mixer type not supported");
		}
	}

	@Override
	public Info[] getMixerInfo() {
		System.out.println("DEBUG: get mixer info called");
		Mixer.Info[] m = { PulseMixerInfo.getInfo()};
		return  m;
	}


}
