package org.openjdk.sound;

import javax.sound.sampled.Mixer;

public class PulseMixerInfo extends Mixer.Info{
	// singleton
	
	private static PulseMixerInfo _instance = null;
	
	protected PulseMixerInfo(String name, String vendor, String description, String version) {
		super(name, vendor, description, version);
	}

	// the "getInstance()" method
	synchronized public static PulseMixerInfo getInfo() {
		if ( _instance == null) {
			_instance = new PulseMixerInfo("PulseAudioMixer", "openjdk", "the ear-candy mixer", "1.0");
		}
		
		return _instance;
	}

	
}
